HanMacWrdJGraphInternal::Group Struct Referencefinal

Internal: a group of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::Group:

## Public Member Functions

| Group (Frame const &orig)
| constructor
| ~Group () final
| destructor
bool | valid () const final
| returns true if the frame data are read
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes

long | m_zId
| the group id
std::vector< long > | m_childsList
| the child list
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: a group of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## Group()

HanMacWrdJGraphInternal::Group::Group | ( | Frame const & | orig | ) |

inline explicit

constructor

## ~Group()

HanMacWrdJGraphInternal::Group::~Group | ( |  | ) |

final

destructor

## Member Function Documentation

## valid()

bool HanMacWrdJGraphInternal::Group::valid | ( |  | ) | const

inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Member Data Documentation

## m_childsList

std::vector<long> HanMacWrdJGraphInternal::Group::m_childsList

the child list

Referenced by HanMacWrdJGraph::canCreateGraphic(), Group(), HanMacWrdJGraph::readGroupData(), HanMacWrdJGraph::sendGroup(), and HanMacWrdJGraph::sendGroupChild().

## m_zId

long HanMacWrdJGraphInternal::Group::m_zId

the group id

Referenced by Group().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx